# What is Kedro?

Kedro is an open-source Python framework that applies software engineering best practices to data and machine-learning pipelines.  You can use it, for example, to optimise the process of taking a machine learning model into a production environment. You can use Kedro to organise a single-user project running on a local environment, or collaborate in a team on an enterprise-level project.

For the source code, take a look at the [Kedro repository on Github](https://github.com/quantumblacklabs/kedro).

## Learn how to use Kedro

In the next few chapters, you will learn how to [install Kedro](../02_get_started/01_prerequisites.md) and set up your own production-ready data pipelines.

Once you are set up, to get a feel for Kedro, we suggest working through our examples, including:

-   A typical "Hello World" example, for an [entry-level description of the main Kedro concepts](../02_get_started/03_hello_kedro.md)
-   A first [example using the familiar Iris dataset](../02_get_started/05_example_project.md) to introduce the Kedro project template
-   The more detailed ["spaceflights" tutorial](../03_tutorial/01_spaceflights_tutorial.md) to give you hands-on experience as you learn about Kedro


We also recommend the [frequently asked questions](../11_faq/01_faq.md) and the [API reference documentation](/kedro.rst) for additional information.

## Assumptions

We have designed the documentation and the [spaceflights tutorial](../03_tutorial/01_spaceflights_tutorial.md) for anyone new to Kedro. The more knowledge of Python you have, the easier you will find the learning curve.

> *Note:* There are a number of excellent online resources for learning Python, but you should choose those that reference Python 3, as Kedro is built for Python 3.6+. There are many curated lists of online resources, such as:
>
> -   [Official Python programming language website](https://www.python.org/)
> -   [List of free programming books and tutorials](https://github.com/EbookFoundation/free-programming-books/blob/master/free-programming-books.md#python)
